package com.yeejoin.amos.jpush.common.core.request;

import java.util.List;
import java.util.Map;

public class CheckResultPushSpcRequest {
		
		private String riskSourceId;
	 	private String riskSourceName;//危险源名称
	    private String pointName; //名称
	    private String nodeState;//巡检状态
	    private String executorName;//执行人名称
	    private String executeStatus;//执行状态
	    private String executorTime;//执行时间 yyyy-MM-dd HH:mm:ss
	    private Map<String, List<String>> riskFactorMap ;//危险因素和管控措施
	    
	    //新加巡检点id
	    private int pointID;
	    //新建点公司code
	    private String code;
	    //点楼层
	    private String num;
	    //三维坐标
	    private String coordinates;
	    //巡检点明称
	    private String name;
		
	    
		public String getName() {
			return name;
		}
		public void setName(String name) {
			this.name = name;
		}
		public String getNum() {
			return num;
		}
		public void setNum(String num) {
			this.num = num;
		}
		public String getCoordinates() {
			return coordinates;
		}
		public void setCoordinates(String coordinates) {
			this.coordinates = coordinates;
		}
		public String getCode() {
			return code;
		}
		public void setCode(String code) {
			this.code = code;
		}
		public int getPointID() {
			return pointID;
		}
		public void setPointID(int pointID) {
			this.pointID = pointID;
		}
		public String getRiskSourceName() {
			return riskSourceName;
		}
		public void setRiskSourceName(String riskSourceName) {
			this.riskSourceName = riskSourceName;
		}
		public String getPointName() {
			return pointName;
		}
		public void setPointName(String pointName) {
			this.pointName = pointName;
		}
		public String getNodeState() {
			return nodeState;
		}
		public void setNodeState(String nodeState) {
			this.nodeState = nodeState;
		}
		public String getExecutorName() {
			return executorName;
		}
		public void setExecutorName(String executorName) {
			this.executorName = executorName;
		}
		public String getExecuteStatus() {
			return executeStatus;
		}
		public void setExecuteStatus(String executeStatus) {
			this.executeStatus = executeStatus;
		}
	
		public String getExecutorTime() {
			return executorTime;
		}
		public void setExecutorTime(String executorTime) {
			this.executorTime = executorTime;
		}
		public Map<String, List<String>> getRiskFactorMap() {
			return riskFactorMap;
		}
		public void setRiskFactorMap(Map<String, List<String>> riskFactorMap) {
			this.riskFactorMap = riskFactorMap;
		}
		public String getRiskSourceId() {
			return riskSourceId;
		}
		public void setRiskSourceId(String riskSourceId) {
			this.riskSourceId = riskSourceId;
		}
}
